Gecode::Set::BndSetRanges Class Reference

Range iterator for integer sets. More...

`#include <var-imp.hpp>`

## Constructors and initialization

| BndSetRanges (void)
| Default constructor.
| BndSetRanges (const BndSet &s)
| Initialize with BndSet s.
void | init (const BndSet &s)
| Initialize with BndSet s.

## Additional Inherited Members

| RangeList (void)
| Default constructor.
| RangeList (const Gecode::RangeList *s)
| Initialize with range list s.
void | init (const Gecode::RangeList *s)
| Initialize with range list s.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
void | operator++ (void)
| Move iterator to next range (if possible).
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Attributes inherited from Gecode::Iter::Ranges::RangeList
const Gecode::RangeList * | c
| Current range.

## Detailed Description

Range iterator for integer sets.

Definition at line 185 of file var-imp.hpp.

## Constructor & Destructor Documentation

## BndSetRanges() [1/2]

Gecode::Set::BndSetRanges::BndSetRanges | ( | void |  | ) |

inline

Default constructor.

Definition at line 240 of file integerset.hpp.

## BndSetRanges() [2/2]

Gecode::Set::BndSetRanges::BndSetRanges | ( | const BndSet & | s | ) |

inline

Initialize with BndSet s.

Definition at line 243 of file integerset.hpp.

## Member Function Documentation

## init()

void Gecode::Set::BndSetRanges::init | ( | const BndSet & | s | ) |

inline

Initialize with BndSet s.

Definition at line 247 of file integerset.hpp.

The documentation for this class was generated from the following files:

- gecode/set/var-imp.hpp
- gecode/set/var-imp/integerset.hpp